document.addEventListener("DOMContentLoaded", () => {
  // Example code animation
  const example = `title My Document
description A simple example of Scroll syntax
author John Doe

# Introduction
This is a simple example of Scroll markup.
It's clean and easy to read.

# Features
- Simple syntax
- Extensible
- Beautiful output
- Fast parsing`;

  const codeExample = document.querySelector(".code-example");
  const codeOutput = document.querySelector(".code-output");

  let i = 0;
  const typeWriter = () => {
    if (i < example.length) {
      codeExample.textContent += example.charAt(i);
      i++;
      setTimeout(typeWriter, 50);
    }
  };

  typeWriter();

  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach((anchor) => {
    anchor.addEventListener("click", function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute("href")).scrollIntoView({
        behavior: "smooth",
      });
    });
  });

  // Intersection Observer for fade-in animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = "translateY(0)";
      }
    });
  });

  document.querySelectorAll(".feature-card").forEach((card) => {
    card.style.opacity = 0;
    card.style.transform = "translateY(20px)";
    card.style.transition = "opacity 0.5s, transform 0.5s";
    observer.observe(card);
  });
});
